Amazon Linux 2 : unbound (ALAS-2020-1463)

High Nessus Plugin ID 138629

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 4.4

Synopsis

The remote Amazon Linux 2 host is missing a security update.

Description

An incomplete fix for CVE-2020-12662 was shipped for Unbound in Red Hat Enterprise Linux 7, as part of erratum RHSA-2020-2414 . Vulnerable versions of Unbound could still amplify an incoming query into a large number of queries directed to a target, even with a lower amplification ratio compared to versions of Unbound that shipped before the mentioned erratum. This issue is about the incomplete fix for CVE-2020-12662 , and it does not affect upstream versions of Unbound. (CVE-2020-10772)

Solution

Run 'yum update unbound' to update your system.

See Also

https://alas.aws.amazon.com/AL2/ALAS-2020-1463.html

Plugin Details

Severity: High

ID: 138629

File Name: al2_ALAS-2020-1463.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2020/07/20

Updated: 2020/07/20

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 4.4

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:unbound, p-cpe:/a:amazon:linux:unbound-debuginfo, p-cpe:/a:amazon:linux:unbound-devel, p-cpe:/a:amazon:linux:unbound-libs, p-cpe:/a:amazon:linux:unbound-python, cpe:/o:amazon:linux:2

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2020/07/17

Reference Information

CVE: CVE-2020-10772

ALAS: 2020-1463